# Modify Registered Agent

## GET or POST Request

{% hint style="info" %}
<https://v1.api19.com/ra/registered\\_agent/modify>
{% endhint %}

Delete a specific company

| Argument    | Required | Type                                                      |
| ----------- | -------- | --------------------------------------------------------- |
| reg\_uu\_id | yes      | <p>registered agent id from<br>List Registered Agents</p> |
| status      | yes      | <p>active<br>OR<br>canceling</p>                          |
| auto\_renew | yes      | <p>yes<br>OR<br>no</p>                                    |
| key         | yes      | your api key                                              |

{% tabs %}
{% tab title="Curl Post" %}

```php
curl https://v1.api19.com/ra/registered_agent/modify \
 -d 'reg_uu_id=h329fh23r' \
 -d 'status=active' \
 -d 'auto_renew' \
 -d 'key=api_token'
```

{% endtab %}

{% tab title="JSON Response" %}

```php
OK:
{
    "status": "ok"
}

ERROR:
{
    "status": "error",
    "error": "Cannot locate registered agent" 
}
```

{% endtab %}

{% tab title="Errors" %}

```hack
No registered agent id provided
Tools connectivity issue
Cannot locate registered agent
Registered agent is canceling, please renew to continue or leave to cancel automatically
Invalid status value
Invalid auto renew value
Error updating registered agent
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/registered-agent/modify-registered-agent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
